GET 24/7 LIVE HELP NOW

Announcement

Announcement Module
Collapse
No announcement yet.

installation fails due to 5.1.69-1.el6_4 to absent failed:

Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • installation fails due to 5.1.69-1.el6_4 to absent failed:

    I'm trying to install Percona Cluster via puppet.
    OS : CentOS 6
    keep getting this error
    Error: Execution of '/bin/rpm -e mysql-libs-5.1.69-1.el6_4.x86_64' returned 1: error: Failed dependencies:
    libmysqlclient.so.16()(64bit) is needed by (installed) postfix-2:2.6.6-2.2.el6_1.x86_64
    libmysqlclient.so.16(libmysqlclient_16)(64bit) is needed by (installed) postfix-2:2.6.6-2.2.el6_1.x86_64
    mysql-libs is needed by (installed) postfix-2:2.6.6-2.2.el6_1.x86_64

    Error: /Stage[main]/Profile:b::Percona::Cluster::Packages/Package[mysql-libs]/ensure: change from 5.1.69-1.el6_4 to absent failed: Execution of '/bin/rp
    m -e mysql-libs-5.1.69-1.el6_4.x86_64' returned 1: error: Failed dependencies:
    libmysqlclient.so.16()(64bit) is needed by (installed) postfix-2:2.6.6-2.2.el6_1.x86_64
    libmysqlclient.so.16(libmysqlclient_16)(64bit) is needed by (installed) postfix-2:2.6.6-2.2.el6_1.x86_64
    mysql-libs is needed by (installed) postfix-2:2.6.6-2.2.el6_1.x86_64
    Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install Percona-XtraDB-Cluster-client-56' returned 1:
    Error Downloading Packages:
    1:Percona-XtraDB-Cluster-shared-56-5.6.14-25.1.596.rhel6.x86_64: failure: Percona-XtraDB-Cluster-shared-56-5.6.14-25.1.596.rhel6.x86_64.rpm from percona


    I also tried 5.5 version same issue.

  • #2
    In order to satisfy dependencies for libmysqlclient.so.16 - you need to install the Percona-Server-shared-compat package first.

    Comment

    Working...
    X